function [Uplusf,zplus] = Uplus_profile(deltaplus,PI,kappa,A,DeltaUplus)
zplusl = 0.1;
zplus = 10.^[log10(zplusl):(log10(deltaplus)-log10(zplusl))/149:log10(deltaplus)];
eta = zplus./deltaplus;

Const.PI = PI;
Const.kappa = kappa;
Const.A = A;

if PI == 0
    W_eta = 0;
else
    W_eta = funcWake(eta,Const);
end
Uplusf = (1/kappa).*log(zplus)+A-DeltaUplus+W_eta;
Uplusf(zplus>deltaplus)=max(Uplusf);
Uplusf(Uplusf<0) = 0;
end