function res = fun2(r1,deltaplus,NonVar)
% equation (4.4): relationship between Utau1 and deltac


% load parameters & constants
Condi = NonVar.Condi;
Const = NonVar.Const;

kappa = Const.kappa;
A = Const.A;
B = Const.B;

ks1plus = Condi.ks1plus;
Uinftyplus = Condi.Uinftplus;

% (4.4)
res = -Uinftyplus/r1+log(deltaplus*r1)/kappa+A-roughness_function(ks1plus*r1, kappa, A, B)+funcWake(1,Const)*NonVar.opt.Wake;